Subject: [Errata Rejected] RFC7233 (4681)

From: RFC Errata System <[email-masked]>
Date: Thu, 5 May 2016 06:20:37 -0700 (PDT)

The following errata report has been rejected for RFC7233,
"Hypertext Transfer Protocol (HTTP/1.1): Range Requests".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7233&eid=4681

--------------------------------------
Status: Rejected
Type: Technical

Reported by: Kannan Goundan <[email-masked]>
Date Reported: 2016-04-29
Rejected by: Alexey Melnikov (IESG)

Section: 2.1

Original Text
-------------
byte-range-set  = 1#( byte-range-spec / suffix-byte-range-spec )

Corrected Text
--------------
byte-range-set = *( "," OWS ) ( byte-range-spec /
    suffix-byte-range-spec ) *( OWS "," [ OWS ( byte-range-spec /
    suffix-byte-range-spec ) ] )

Notes
-----
The document contains two ABNF definitions for "byte-range-set".  They appear in Section 2.1 "Byte Ranges" and Appendix D "Collected ABNF".

The two definitions are different.  It seems like the definition in Appendix D is the correct one.
 --VERIFIER NOTES-- 
Alexey: As per comment from Julian: "Both are correct. See first sentence of Appendix D."

--------------------------------------
RFC7233 (draft-ietf-httpbis-p5-range-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Range Requests
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., Y. Lafon, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG